Subject: bug#40774: Error messages shouldn't be hidden when the user is idle

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Apr 2020 21:47:25 +0300

> Date: Wed, 22 Apr 2020 18:43:48 +0000
> From: ndame <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> >
> > What if the user is looking at another application, and Emacs runs a
> > prolonged operation of sorts, for example, indexing some large
> > directory?
> 
> I don't get what you're getting at.

You want the Emacs behavior to change depending on whether "the user
is idle" or not, right?  If the practical implementation of that will
be "when Emacs is idle", you might not have the behavior you wanted,
because Emacs might _not_ be idle when the user is.

I hope this clarifies the point I was trying to make.